Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.user.management
Interface ManagementUserGroupMBean

public interface ManagementUserGroupMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Method Summary
`void` | `addUsertoGroup(String userName, String groupName)` add user to a group
`void` | `createUserGroup(String groupName, String description)` Create usergroup
`String[]` | `listGroups(int offset, int size)` List all groups
`String[]` | `listUsers(String groupName, int offset, int size)` lists users in the group

Method Detail

### addUsertoGroup

    public void addUsertoGroup(String userName,
                               String groupName)
                        throws ManagementException

  add user to a group

  Parameters:
    `userName` - user name
    `groupName` - user group name
  Throws:
    `ManagementException`

### createUserGroup

    public void createUserGroup(String groupName,
                                String description)
                         throws ManagementException

  Create usergroup

  Parameters:
    `groupName` - user group name
    `description` - user group description
  Throws:
    `ManagementException`

### listGroups

    public String[] listGroups(int offset,
                               int size)
                        throws ManagementException

  List all groups

  Parameters:
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit
  Returns:
    Groups matching the criteria
  Throws:
    `ManagementException`

### listUsers

    public String[] listUsers(String groupName,
                              int offset,
                              int size)
                       throws ManagementException

  lists users in the group

  Parameters:
    `groupName` -
    `offset` - must be >=0
    `size` - Number of entries to return. 0 means no limit
  Returns:
  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD